Developer Portal
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
  1. Bill of Lading
  • Start Here
    • Overview
    • Getting started
    • Authentication
    • Testing
    • Errors & status codes
    • FAQ
  • General
    • Retrieve a list of vessels
      GET
    • Additional entity search
      GET
  • Screening
    • Screening a vessel
    • Watchlist checks
    • Additional checks
    • Movement history
    • Carbon rating
    • Submit a vessel for screening
      POST
    • Retrieve a list of transactions and their screening results
      GET
    • Ship & Flag Watchlist check
      GET
    • Company Watchlist check
      GET
    • Country Sanctions check
      GET
    • Ship movement history
      GET
    • Ship-to-Ship (STS) pairing screening
      GET
    • Company history check
      GET
    • P&I Club check
      GET
    • Vessel operational status
      GET
    • Flag history check
      GET
    • AIS positional discrepancy (spoofing) events
      GET
    • Periods of Non-Reporting
      GET
    • Carbon rating details
      GET
    • Get the PurpleTRAC Screening Report PDF
      GET
    • Submit a vessel for rescreening
      PUT
    • Archive a Screening
      PUT
  • Tracking
    • Voyage updates
    • Notification catalogue
    • Additional entities
    • Tracking a vessel
    • Enable a vessel for tracking
    • Remove additional entities from a tracked vessel
    • Add additional entities to a tracked vessel
    • List the additional entities on a transaction
    • Update voyage and tracking details
    • Get vessel positional data
    • Retrieve a list of vessel or bill of lading notifications
    • Get the PurpleTRAC Trade Report PDF
  • Bill of Lading
    • Carriers
    • Verification
    • Submit a Bill of Lading for screening
      POST
    • Get all BL Screening Results
      GET
    • Get a single BL screening result
      GET
    • Get the PurpleTRAC Bill of Lading Screening Report PDF
      GET
    • Enable tracking for a screened Bill of Lading
      PUT
    • Get the PurpleTRAC Bill of Lading Tracking Report PDF
      GET
    • Disable tracking for a Bill of Lading
      PUT
  • Containers
    • Screening
    • Carriers
    • Submit a Container for screening
    • Get all Container Screening Results
    • Archive Container
    • Get a single Container screening result
    • Get the Container report
  • Schemas
    • BLVGetAllResultsResponse
    • BLVScreeningResponse
    • BLVLastScreeningResult
    • BLVScreeningResultDetails
    • ContainerRegistrationBody
    • ContainerRegistrationResponse
    • ContainerGetAllResultsResponse
    • ContainerScreeningResponse
    • CarbonRatings
    • CarbonRating
    • CompanySanctions
    • CompanySanction
    • CountryChecks
    • CountryCheck
    • StsPairings
    • StsPairing
    • OtherAssociations
    • OtherAssociation
    • CompanyHistoryChecks
    • CompanyHistoryCheck
    • ShipStatuses
    • ShipStatus
    • FlagHistoryChecks
    • FlagHistoryCheck
    • PositionalDiscrepancies
    • PositionalDiscrepancy
    • DiscrepancyZone
    • DiscrepancyPort
    • NonReportingResponse
    • NonReporting
    • Notifications
    • Notification
    • BLVNotification
    • BLVPortFull
    • BLVPortFallback
    • PortCallHistory
    • PortCallHistoryItem
    • Positions
    • Position
    • PositionInfo
    • RegistrationResponse
    • ShipDetails
    • ShipSanctions
    • ShipSanction
    • VesselTrackingResponse
    • VesselTransactionsResponse
    • Transaction
    • TransactionPutBody
    • TransactionPutResponse
    • TransactionRescreenResponse
    • LastPosition
    • ScreeningNotification
    • ScreeningResult
    • UserDetails
    • UserProfile
    • Error
    • InvalidContainerNumberResponse
    • VesselRegistrationBody
    • VesselTrackingRequest
    • BLRegistrationBody
    • AdditionalEntitySearchResponse
    • AdditionalEntity
    • AdditionalEntitiesRequestSchema
    • TrackingAdditionalEntity
    • TrackingAdditionalEntitiesResponse
    • TrackingAdditionalEntityInput
    • TrackingAdditionalEntitiesPutBody
    • TrackingAdditionalEntitiesPutResponse
    • TrackingAdditionalEntitiesDeleteBody
    • RemovedAdditionalEntity
    • TrackingAdditionalEntitiesDeleteResponse
    • TrackingAdditionalEntityError
    • FeatureDisabledError
    • ObjectNotFoundError
    • TransactionValidationError
    • VoyageUpdateRequest
    • VoyageUpdateResponse
    • PTracMeta
    • PTracVessel
    • PTracVesselSearchResponse
    • DuplicateTransactionError
  1. Bill of Lading

Disable tracking for a Bill of Lading

Production
https://api.polestar-production.com
Production
https://api.polestar-production.com
PUT
https://api.polestar-production.com
/purpletrac/v1/blv/{id}/decline
Disables tracking for a screened Bill of Lading. This will end the continuous screening and move the bill of lading status to ARCHIVE.
Refer to Bill of Lading Verification to see how to use this endpoint in a bill of lading tracking workflow.

Request

Authorization
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Path Params

Query Params

Responses

🟢200OK
application/json
Tracking stopped. The bill of lading moves to ARCHIVE and the tracking report becomes available.
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.polestar-production.com/purpletrac/v1/blv//decline?username=undefined&api_key=%3Capi-key%3E'
Response Response Example
200 - Default
{
    "archived": true,
    "blv_no": "ISB1235295",
    "blv_phase_status": "ARCHIVE",
    "blv_type": "string",
    "client_reference": "",
    "creation_date": "2023-12-11 14:40:27.171665+00:00",
    "id": 35260,
    "is_trackable": false,
    "last_screening_result": {
        "carrier_severity": "OK",
        "details": {
            "cargo": {
                "containers_no": [
                    "CMAU8752246"
                ]
            },
            "container_numbers": [
                "CMAU8752246"
            ],
            "ordered_port_unlocodes": [
                "TRMER",
                "EGALY"
            ],
            "voyages": [
                {
                    "arrival_port": {
                        "city": "Alexandria, Egypt",
                        "country": "Egypt",
                        "estimated_time": "11.03.2023 15:00",
                        "unlocode": "EGALY"
                    },
                    "departure_port": {
                        "city": "Mersin, Turkey",
                        "country": "Turkey",
                        "estimated_time": "05.03.2023 04:24",
                        "unlocode": "TRMER"
                    },
                    "imo_number": 9311842,
                    "is_custom": false,
                    "mode": "Unknown",
                    "seq": 1,
                    "transport_name": "SC MONTANA"
                }
            ]
        },
        "id": 38353,
        "overall_severity": "WARNING",
        "port_of_destination": {
            "code": "EGALY",
            "name": "Alexandria, Egypt"
        },
        "port_of_origin": {
            "code": "TRMER",
            "name": "Mersin, Turkey"
        },
        "screened_ports": [
            {
                "code": "TRMER",
                "country": {
                    "code": "TUR",
                    "iso_3166_1_alpha_2": "TR",
                    "name": "Turkey"
                },
                "name": "Mersin",
                "overall_severity": "OK",
                "seq": 0
            },
            {
                "code": "EGALY",
                "country": {
                    "code": "EGY",
                    "iso_3166_1_alpha_2": "EG",
                    "name": "Egypt"
                },
                "name": "Alexandria",
                "overall_severity": "OK",
                "seq": 1
            }
        ],
        "screened_ships": [
            {
                "document_id": 4932934,
                "flag": {
                    "code": "LBR",
                    "iso_3166_1_alpha_2": "LR",
                    "name": "Liberia"
                },
                "imo_number": "9311842",
                "overall_severity": "WARNING",
                "seq": 0,
                "ship_name": "SC MONTANA",
                "transaction_id": 2863260
            }
        ],
        "screening_date": "2023-12-11T14:40:27.178234",
        "screening_status": "SCREENING_COMPLETED"
    },
    "notifications": [
        {
            "acknowledged": false,
            "blv": "/api/v1/blv/35260",
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-11T15:52:48.757522+00:00",
            "document_id": null,
            "event": "BL_TRACKING_COMPLETED",
            "event_date": "2023-12-11T15:52:48.752898+00:00",
            "id": 52699824,
            "last_updated_date": "2023-12-11T15:52:48.757543+00:00",
            "parent_notification_id": null,
            "related_obj_id": null,
            "related_text": "",
            "resource_uri": "/api/v1/notification/52699824",
            "severity": "OK",
            "transaction": null,
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        },
        {
            "acknowledged": false,
            "blv": "/api/v1/blv/35260",
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-11T15:36:00.116953+00:00",
            "document_id": null,
            "event": "BL_SELECTED_FOR_TRACKING",
            "event_date": "2023-12-11T15:36:00.111687+00:00",
            "id": 52699269,
            "last_updated_date": "2023-12-11T15:36:00.116977+00:00",
            "parent_notification_id": null,
            "related_obj_id": null,
            "related_text": "",
            "resource_uri": "/api/v1/notification/52699269",
            "severity": "OK",
            "transaction": null,
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        },
        {
            "acknowledged": false,
            "blv": "/api/v1/blv/35260",
            "cleared": false,
            "comment": "",
            "creation_date": "2023-12-11T14:40:54.096909+00:00",
            "document_id": null,
            "event": "BLV_SCREENING_COMPLETE",
            "event_date": "2023-12-11T14:40:54.094287+00:00",
            "id": 52697508,
            "last_updated_date": "2023-12-11T14:40:54.096934+00:00",
            "parent_notification_id": null,
            "related_obj_id": null,
            "related_text": "",
            "resource_uri": "/api/v1/notification/52697508",
            "severity": "OK",
            "transaction": null,
            "updated_since_creation": false,
            "user": "/api/v1/user/6913"
        }
    ],
    "num_notifications": 3,
    "overall_severity": "WARNING",
    "resource_uri": "/api/v1/blv/35260",
    "scac": "CMDU",
    "scac_name": "CMA CGM",
    "screening_status": "SCREENING_COMPLETED",
    "ship_transactions": [
        "/api/v1/transaction/2863260"
    ]
}
Modified at 2026-09-30 13:56:35
Previous
Get the PurpleTRAC Bill of Lading Tracking Report PDF
Next
Screening
Built with